MyAds

Логин Пријавите се

Девелопер Платформ

Интегришите КСВАР0Кс функције у своју веб локацију или апликацију.

Информације о платформи

Стандардни РЕСТ АПИ за интеграцију профила и садржаја.

В1 АПИ приступ ОАутх 2.0 Осигуран

Статус платформе

Конфигуришите глобална правила и ограничења за екосистем програмера.

В1 АПИ приступ ОАутх 2.0 Осигуран
Захтевај одобрење администратора Нове апликације ће захтевати ручно одобрење администратора пре него што се могу користити.

Девелопер Платформ

Документација за програмере

Build rich social integrations, automate content, and authenticate members with modern OAuth 2.0 & REST APIs.

OAuth 2.0 Flow REST API v1 (20+ Endpoints) 3 Ready Widgets 30 req/min Rate Limit

OAuth 2.0 Authorization

Дозволите корисницима да се безбедно пријаве на вашу веб локацију користећи свој КСВАР0Кс налог.

Authorization Code Flow

Developer API v1

Complete catalog of available REST API v1 endpoints with request parameters and required scopes.

20+ Endpoints

Embeddable JavaScript Widgets

Easily integrate profile cards, follow buttons, and content feeds into your external website.

Follow / Profile / Content

External Web Share API

Pre-fill the post composer with custom text, links, and tags from any external website.

GET /share

Quickstart Example

Token Exchange & Fetch Profile

API v1 Ready
PHP (cURL)
Node.js (Axios)
Python (Requests)
cURL CLI
PHP (cURL)
<?php
// 1. Exchange authorization code for token
$ch = curl_init('https://testxxc.lockr.sbs/oauth/token');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, [
    'grant_type'    => 'authorization_code',
    'client_id'     => 'YOUR_CLIENT_ID',
    'client_secret' => 'YOUR_CLIENT_SECRET',
    'redirect_uri'  => 'https://yourapp.com/callback',
    'code'          => $_GET['code']
]);
$res = json_decode(curl_exec($ch), true);
$token = $res['access_token'];

// 2. Fetch authenticated member profile via Developer API v1
$ch = curl_init('https://testxxc.lockr.sbs/api/developer/v1/me/profile');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer ' . $token,
    'Accept: application/json'
]);
$profile = json_decode(curl_exec($ch), true);
print_r($profile['data']);
?>
Node.js (Axios)
const axios = require('axios');

async function getProfile(code) {
    // 1. Exchange code for access token
    const tokenRes = await axios.post('https://testxxc.lockr.sbs/oauth/token', {
        grant_type: 'authorization_code',
        client_id: 'YOUR_CLIENT_ID',
        client_secret: 'YOUR_CLIENT_SECRET',
        redirect_uri: 'https://yourapp.com/callback',
        code: code
    });

    const accessToken = tokenRes.data.access_token;

    // 2. Access Developer API v1 endpoint
    const profileRes = await axios.get('https://testxxc.lockr.sbs/api/developer/v1/me/profile', {
        headers: {
            'Authorization': `Bearer ${accessToken}`,
            'Accept': 'application/json'
        }
    });

    return profileRes.data.data;
}
Python (Requests)
import requests

# 1. Exchange authorization code for token
token_res = requests.post('https://testxxc.lockr.sbs/oauth/token', data={
    'grant_type': 'authorization_code',
    'client_id': 'YOUR_CLIENT_ID',
    'client_secret': 'YOUR_CLIENT_SECRET',
    'redirect_uri': 'https://yourapp.com/callback',
    'code': auth_code
})
access_token = token_res.json().get('access_token')

# 2. Fetch profile from Developer API v1
profile_res = requests.get('https://testxxc.lockr.sbs/api/developer/v1/me/profile', headers={
    'Authorization': f'Bearer {access_token}',
    'Accept': 'application/json'
})
print(profile_res.json().get('data'))
cURL
# 1. Exchange code for access token
curl -X POST https://testxxc.lockr.sbs/oauth/token \
     -d "grant_type=authorization_code" \
     -d "client_id=YOUR_CLIENT_ID" \
     -d "client_secret=YOUR_CLIENT_SECRET" \
     -d "code=AUTHORIZATION_CODE" \
     -d "redirect_uri=https://yourapp.com/callback"

# 2. Call Developer API v1 with Bearer token
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
     -H "Accept: application/json" \
     https://testxxc.lockr.sbs/api/developer/v1/me/profile

OAuth 2.0 Scopes Catalog

OAuth 2.0 Scopes Catalog (27 Scopes)

Granular permissions requested by third-party applications during the OAuth authorization flow.

View Scopes Catalog
Identity & Profile Content & Interactions Messages & Notifications Wallet & Rewards Community & Media Store & Advertising App Owner Integrations

Моје апликације

Пријавите се да бисте регистровали апликације, управљали акредитивима и пратили статус прегледа.

Информације о платформи

  • Стандардни РЕСТ АПИ за интеграцију профила и садржаја.
  • Поверљива аутентификација клијента са тајнама.
  • Користите АПИ за дељење да унапред попуните текст и линкове у композитору поста.
Continuous Audio Player
MYADS Audio
0:00
0:00